Bug 1199776 - mcu8051ide Requires tclsh 8.5 but only tclsh8.6 is in F21
Summary: mcu8051ide Requires tclsh 8.5 but only tclsh8.6 is in F21
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mcu8051ide
Version: 21
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-08 08:10 UTC by Simon Dible
Modified: 2016-02-01 02:01 UTC (History)
3 users (show)

Fixed In Version: mcu8051ide-1.4.9-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-10 07:27:17 UTC


Attachments (Terms of Use)

Description Simon Dible 2015-03-08 08:10:20 UTC
Description of problem:
mcu8051 currently doesn't load as it can't find tclsh85 as F21 ships with tclsh86, it looks like the upstream development has fix this as the newer source code just looks for the generic tclsh, can we get the packaged up and push on to F21?

Version-Release number of selected component (if applicable):


How reproducible:
/usr/bin/mcu8051ide

Steps to Reproduce:
1.Run the application
2. /usr/bin/mcu8051ide: line 2: exec: tclsh8.5: not found.

Actual results:
Application fails to load

Expected results:
Application shows splash screen and loads

Additional info:
https://ask.fedoraproject.org/en/question/64650/cannot-launch-mcu-8051-ide-in-fedora-21/#65003

Comment 1 Simon Dible 2015-03-08 08:33:02 UTC
I guess testing of this, if it gets resolved will be blocked on Bug 1199777 as pngg files don't load.

Comment 2 Fedora Update System 2015-03-31 18:12:30 UTC
mcu8051ide-1.4.9-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mcu8051ide-1.4.9-1.fc21

Comment 3 Fedora Update System 2015-04-01 22:24:54 UTC
Package mcu8051ide-1.4.9-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mcu8051ide-1.4.9-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5217/mcu8051ide-1.4.9-1.fc21
then log in and leave karma (feedback).

Comment 4 Simon Dible 2015-04-03 07:28:43 UTC
Thank you, this is all working nicely for me on x86 f21.

Comment 5 Fedora Update System 2015-04-10 07:27:17 UTC
mcu8051ide-1.4.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.